Uploaded image for project: 'Solr'
  1. Solr
  2. SOLR-7880

Update commons-cli to 1.4

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 5.2.1
    • Fix Version/s: 8.6
    • Component/s: scripts and tools
    • Labels:
      None

      Description

      While looking at SOLR-7847, I noticed that commons-cli was an old version, and once I upgraded it in the ivy config, found that SolrCLI is using deprecated classes/methods.

      This issue is to complete the upgrade and fix the deprecations.

        Attachments

        1. SOLR-7880.patch
          38 kB
          Shawn Heisey
        2. SOLR-7880.patch
          37 kB
          Shawn Heisey
        3. SOLR-7880.patch
          27 kB
          Shawn Heisey

          Activity

            People

            • Assignee:
              erickerickson Erick Erickson
              Reporter:
              elyograg Shawn Heisey
            • Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: